




      //Note:  if you go about visiting sites like 
      //       http://radar.weather.gov/ridge/RadarImg/N0R/ 
      //       in your IE browser, the sites will likely be cached, and 
      //       this gadget may fail to display the latest weather until 
      //       you clear your temporary internet files




      //default location is National Weather Center, Norman, OK
      var radar_site = "TLX";
      var loc_lat = "35.18164817676656";
      var loc_lon = "-97.43997573852539";


      //default expanded size
      var large_width = 600;
      var large_height = 480;
      var large_height_blank = large_height - 45;



      var prev_radar_site = radar_site;
      var prev_loc_lat = loc_lat;
      var prev_loc_lon = loc_lon;

      var prev_large_width = large_width;
      var prev_large_height = large_height;


      var feedback_disp;

      function init_settings(){

        if(System.Gadget.Settings.readString("first_run") != "no"){
          System.Gadget.Settings.writeString("radar_station", radar_site);
          System.Gadget.Settings.writeString("location_lat", loc_lat);
          System.Gadget.Settings.writeString("location_lon", loc_lon);
          System.Gadget.Settings.write("large_width", large_width);
          System.Gadget.Settings.write("large_height", large_height);
          System.Gadget.Settings.writeString("first_run", "no");
        }

        if(System.Gadget.Settings.readString("first_run") == "no"){
          radar_site = System.Gadget.Settings.readString("radar_station");
          loc_lat = System.Gadget.Settings.readString("location_lat");
          loc_lon = System.Gadget.Settings.readString("location_lon");
          large_width = System.Gadget.Settings.readString("large_width");
          large_height = System.Gadget.Settings.readString("large_height");
          large_height_blank = large_height - 45;
        }

        document.getElementById("myMap").style.width = large_width+'px';
        document.getElementById("myMap").style.height = large_height+'px';

        document.getElementById("radar_time_display").style.left = (large_width-100)+'px';
        document.getElementById("sleep_button").style.left = (large_width-100)+'px';
        document.getElementById("play_button").style.left = (large_width-75)+'px';
        document.getElementById("weath_button").style.left = (large_width-50)+'px';

        feedback_disp = document.getElementById('spFeedback');

      }





      function init_map(){

        stop_radar_loop();

        DrawMap();

        if(weath_play == 1){
          start_radar_loop();
        }

        setTimeout("refreshMap()", (1*60*1000));
      }


      function init_radar(){

        get_radar_img_names();

      }


      function init_location(){

        do_set_small_location = 1;
        get_gfw_file();

      }




      var radar_lat;
      var radar_lon;
      var img_lat_perpix;
      var img_lon_perpix;
      var radar_img_height;   
      var radar_img_width;   





      //default button values
      var sleep = 0;
      var weath_play = 1;
      var weath_show = 1;

      var map = null;
      var loc_shape_id;



      //create bing maps map object and layers
      function DrawMap(){

         var img_lat_range = (radar_img_height * img_lat_perpix);
         var img_lon_range = (radar_img_width * img_lon_perpix);

         var center_radar_lat = radar_lat-(img_lat_range/2);
         var center_radar_lon = radar_lon+(img_lon_range/2);

         var map_lat = center_radar_lat;
         var map_lon = center_radar_lon;

         var map_zoom = 7;

         mapOptions = new VEMapOptions();
         mapOptions.EnableBirdseye = false;
         

         map = new VEMap('myMap');

//         map.SetDashboardSize(VEDashboardSize.Tiny);

         map.LoadMap(new VELatLong(map_lat, map_lon), map_zoom, VEMapStyle.Hybrid, false, VEMapMode.Mode2D, false, 0, mapOptions);

         map.HideDashboard();
         map.HideScalebar();


         CreateBlankLayer();

         //if getting gfw for location, have it also create layer
         if(do_set_small_location == 1){
           do_create_weather_layer = 1;
         }else{
           CreateWeathLayer();
         }

         AddCurrentLocation();



         map.AttachEvent("onmousemove", MapMouseMove);
         map.AttachEvent("onendzoom", MapZoom);
         map.AttachEvent("onclick", MapMouseClick);
         map.AttachEvent("onstartpan", MapStartPan);
         map.AttachEvent("onendpan", MapEndPan);
      }





      function refreshMap(){
        get_radar_img_names();

        setTimeout("refreshMap()", (1*60*1000));
      }









      function CreateBlankLayer(){

          blank_layer = new VEShapeLayer();
          map.AddShapeLayer(blank_layer);

          var shape = new VEShape(VEShapeType.Polygon, [new VELatLong(75.0,-170.0),
                                                        new VELatLong(75.0,-50.0),
                                                        new VELatLong(10.0,-50.0),
                                                        new VELatLong(10.0,-170.0) ]);



          shape.HideIcon();
          shape.SetLineColor(new VEColor(0,0,0,0.0));
          shape.SetFillColor(new VEColor(0,0,0,1.0));

          blank_layer.AddShape(shape);
          blank_layer.Hide();
      }




      function CreateWeathLayer(){

          weath_layer = new VEShapeLayer();
          map.AddShapeLayer(weath_layer);


          AddRadar(radar_lat, radar_lon, radar_img_height, radar_img_width, img_lat_perpix, img_lon_perpix);


          if(weath_show == 0){
            weath_layer.Hide();
          }

      }





      function AddRadar(lat, lon, img_orig_height, img_orig_width, img_lat_perpix, img_lon_perpix){

          var img_lat_range = (img_orig_height * img_lat_perpix);
          var img_lon_range = (img_orig_width * img_lon_perpix);

          var center_pix = map.LatLongToPixel( new VELatLong(lat-(img_lat_range/2),lon+(img_lon_range/2)) );

          var LL1 = map.PixelToLatLong(center_pix);
          var center_pix2 = new VEPixel(center_pix.x + 1, center_pix.y + 1);
          var LL2 = map.PixelToLatLong(center_pix2);
          var map_lat_perpix = Math.abs(LL2.Latitude - LL1.Latitude);
          var map_lon_perpix = Math.abs(LL2.Longitude - LL1.Longitude);


          var img_height = Math.round(img_lat_range / map_lat_perpix);
          var img_width = Math.round(img_lon_range / map_lon_perpix);



          var weathicon = "<div style=\"";
          weathicon += "position:relative; top:13px; left:13px; ";
          weathicon += "\">";
          weathicon += "<img id='weath_img' style=\"";
          weathicon += "filter:Alpha(opacity=50);opacity:.50; ";
          weathicon += "\" ";
          weathicon += "height="+img_height+" width="+img_width+" ";
          weathicon += "src=\'";
          weathicon += "http://radar.weather.gov/ridge/";
          weathicon += "RadarImg/N0R/"+radar_site+"_N0R_0.gif' ";
          weathicon += ">";
          weathicon += "</div>";



          var shape = new VEShape(VEShapeType.Polygon, [new VELatLong(lat,lon),
                                                        new VELatLong(lat,lon+img_lon_range),
                                                        new VELatLong(lat-img_lat_range,lon+img_lon_range),
                                                        new VELatLong(lat-img_lat_range,lon) ]);



          shape.SetIconAnchor(new VELatLong(lat,lon));
          shape.SetLineColor(new VEColor(0,0,0,0.0));
          shape.SetFillColor(new VEColor(0,0,0,0.0));


          //Set the icon
          shape.SetCustomIcon(weathicon);

          weath_layer.AddShape(shape);





          //add shape for warnings image

          var warnicon = "<div style=\"";
          warnicon += "position:relative; top:13px; left:13px; ";
          warnicon += "\">";
          warnicon += "<img id='warn_img' style=\"";
          warnicon += "\" ";
          warnicon += "height="+img_height+" width="+img_width+" ";
          warnicon += "src=\'";
          warnicon += "http://radar.weather.gov/ridge/";
          warnicon += "Warnings/Short/"+radar_site+"_Warnings_0.gif' ";
          warnicon += ">";
          warnicon += "</div>";



          shape = new VEShape(VEShapeType.Polygon, [new VELatLong(lat,lon),
                                                    new VELatLong(lat,lon+img_lon_range),
                                                    new VELatLong(lat-img_lat_range,lon+img_lon_range),
                                                    new VELatLong(lat-img_lat_range,lon) ]);



          shape.SetIconAnchor(new VELatLong(lat,lon));
          shape.SetLineColor(new VEColor(0,0,0,0.0));
          shape.SetFillColor(new VEColor(0,0,0,0.0));


          //Set the icon
          shape.SetCustomIcon(warnicon);

          weath_layer.AddShape(shape);


      }




      function AddCurrentLocation(){

          loc_layer = new VEShapeLayer();
          map.AddShapeLayer(loc_layer);

          var shape = new VEShape(VEShapeType.Pushpin, new VELatLong(loc_lat, loc_lon));

          var loc_icon = "<div style='position:relative; left:9px; top:9px;'><img src='images/white_triangle_u.gif'></div>";

          //Set the icon
          shape.SetCustomIcon(loc_icon);

          loc_layer.AddShape(shape);

          loc_shape_id = shape.GetID();
      }












      if (window.XMLHttpRequest){
        xmlhttp_gfw=new XMLHttpRequest();
      }else{ // Internet Explorer 5/6
        xmlhttp_gfw=new ActiveXObject("Microsoft.XMLHTTP");
      }

      //possible actions on completion of get gfw
      var do_map_pan_to_loc = 0;
      var do_create_weather_layer = 0;
      var do_init_radar = 0;
      var do_set_small_location = 0;

      function get_gfw_file() {

        var radar_path = "http://radar.weather.gov/ridge/RadarImg/N0R/";

        var fname = radar_site+"_N0R_0.gfw";

//        feedback_disp.innerHTML = "<br>" + radar_path+fname + "<br>";

        xmlhttp_gfw.open("GET", radar_path+fname, true);   
        //would rather not cache this
        xmlhttp_gfw.setRequestHeader("Cache-Control", "no-cache");
        xmlhttp_gfw.setRequestHeader("Pragma", "no-cache");
        xmlhttp_gfw.setRequestHeader("Cache-Control", "must-revalidate");
        xmlhttp_gfw.setRequestHeader("Cache-Control", "no-store");
        xmlhttp_gfw.setRequestHeader("Expires", "Sat, 1 Jan 2000 00:00:00 GMT");
        xmlhttp_gfw.setRequestHeader( "If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT" );
        xmlhttp_gfw.onreadystatechange = process_gfw_file;
        xmlhttp_gfw.send(null); 

      }


      function process_gfw_file() {   
        if (xmlhttp_gfw.readyState == 4 && xmlhttp_gfw.status == 200) {   

          var responsehtml = xmlhttp_gfw.responseText;
          var lines = responsehtml.split("\n") 

//          for(i=0; i<lines.length; i++){ feedback_disp.innerHTML += lines[i] + "<br>"; }



          /*  All radar information obtained from associated gfw file
          .. and size info from radar image file

          TLX_N0R_0.gfw =

          0.00881780450994318
          0.000000
          0.000000
          -0.00881780450994318
          -99.9189323286577
          37.7534875210849


          TLX_N0R_0.gif = 
          width: 600
          height: 550
          */


          radar_lat = lines[5]*1;
          radar_lon = lines[4]*1;
          img_lat_perpix = Math.abs(lines[3]);
          img_lon_perpix = Math.abs(lines[0]);





          //load radar image to get dimensions
          var radar_path = "http://radar.weather.gov/ridge/RadarImg/N0R/";

          var img_fname = radar_site+"_N0R_0.gif";


//          feedback_disp.innerHTML = radar_path+img_fname + "<br>";

          var test_radar_img = new Image();
          test_radar_img.src = radar_path+img_fname;

          test_radar_img.onLoad = process_test_radar_img(test_radar_img);



          xmlhttp_gfw.close;

        }   
      }


      function process_test_radar_img(test_radar_img) {   

//          feedback_disp.innerHTML += test_radar_img.height + "<br>";
//          feedback_disp.innerHTML += test_radar_img.width + "<br>";

          radar_img_height = test_radar_img.height;   
          radar_img_width = test_radar_img.width;   


          if(do_create_weather_layer == 1){
            CreateWeathLayer();

            //clear, recreate location layer
            if(map_inited == 1){
              if(loc_layer != null){
                map.DeleteShapeLayer(loc_layer);
                loc_layer = null;
              }

              AddCurrentLocation();
            }

            do_create_weather_layer = 0;
          }

          if(do_set_small_location == 1){
            SetSmallLocation();

            do_set_small_location = 0;
          }

          if(do_init_radar == 1){
            init_radar();

            do_init_radar = 0;
          }

          if(do_map_pan_to_loc == 1){
            var img_lat_range = (radar_img_height * img_lat_perpix);
            var img_lon_range = (radar_img_width * img_lon_perpix);

            var center_radar_lat = radar_lat-(img_lat_range/2);
            var center_radar_lon = radar_lon+(img_lon_range/2);

            map.PanToLatLong(new VELatLong(center_radar_lat, center_radar_lon));

            do_map_pan_to_loc == 0;
          }

      }





      var map_panning = 0;
      function MapStartPan(e){
        map_panning = 1;
      }

      function MapEndPan(e){
        map_panning = 0;
      }




      function SetSmallLocation(){

        var img_lat_range = (radar_img_height * img_lat_perpix);
        var img_lon_range = (radar_img_width * img_lon_perpix);

        var small_loc_x =  Math.floor( ( (loc_lon - radar_lon) / img_lon_range) * small_width) - 2;
        var small_loc_y =  Math.floor( ( (radar_lat - loc_lat) / img_lat_range) * small_height) - 12;

        document.getElementById("small_location").style.left = small_loc_x+'px';
        document.getElementById("small_location").style.top = small_loc_y+'px';
      }










      function MapMouseMove(e){

        if(sleep == 0){
          MapWake();
        }

      }


      function MapZoom(e){

        stop_radar_loop();

        if(weath_layer != null){
          map.DeleteShapeLayer(weath_layer);
          weath_layer = null;
        }

        CreateWeathLayer();

        if(loc_layer != null){
          map.DeleteShapeLayer(loc_layer);
          loc_layer = null;
        }

        AddCurrentLocation();

        if(weath_play == 1){
          start_radar_loop();
        }

        if( (weath_play == 0) && (weath_show == 1) ){
          document.getElementById("weath_img").src = radar_imgs[current_radar_time_i];
          document.getElementById("radar_time_display").innerHTML = radar_times[current_radar_time_i];
        }
      }

      function MapMouseClick(e){
        if(e.elementID != null){
           shape = map.GetShapeByID(e.elementID);

           if(shape.GetID() == loc_shape_id){
             window.open('http://forecast.weather.gov/MapClick.php?textField1='+loc_lat+'&textField2='+loc_lon,'_new','');
           }

        }

        map_panning = 0;
      }
 





      function MapWake(){
        document.body.style.height = large_height;
//        map.ShowDashboard();
        blank_layer.Hide();
      }


      function MapSleep(){
        document.body.style.height = large_height_blank;
//        map.HideDashboard();
        blank_layer.Show();
      }




      function checkSettings(){

        radar_site = System.Gadget.Settings.readString("radar_station");
        loc_lat = System.Gadget.Settings.readString("location_lat");
        loc_lon = System.Gadget.Settings.readString("location_lon");
        large_width = System.Gadget.Settings.read("large_width");
        large_height = System.Gadget.Settings.read("large_height");
        large_height_blank = large_height - 45;


        if(radar_site != prev_radar_site){

          //clear and refresh radar img arrays
          
          stop_radar_loop();

          current_radar_time_i = 0;



          document.getElementById("small_weath_img").src = "http://radar.weather.gov/ridge/RadarImg/N0R/"+radar_site+"_N0R_0.gif";
          document.getElementById("small_warn_img").src = "http://radar.weather.gov/ridge/Warnings/Short/"+radar_site+"_Warnings_0.gif' ";



          //move map, clear and recreate weather layer


          if(map_inited == 1){
            if(weath_layer != null){
              map.DeleteShapeLayer(weath_layer);
              weath_layer = null;
            }
            do_create_weather_layer = 1;

            do_map_pan_to_loc = 1;
          }


          do_set_small_location = 1;


          do_init_radar = 1;


          prev_radar_site = radar_site;
        }

        if( (loc_lat != prev_loc_lat) || (loc_lon != prev_loc_lon) ){

          //move location position in small image

          do_set_small_location = 1;


          //clear, recreate location layer
          if(map_inited == 1){
            if(loc_layer != null){
              map.DeleteShapeLayer(loc_layer);
              loc_layer = null;
            }

            AddCurrentLocation();
          }

//          do_map_pan_to_loc = 0;

          prev_loc_lat = loc_lat;
          prev_loc_lon = loc_lon;
        }


        if( (large_width != prev_large_width) || (large_height != prev_large_height) ){

          document.getElementById("myMap").style.width = large_width+'px';
          document.getElementById("myMap").style.height = large_height+'px';

          document.getElementById("radar_time_display").style.left = (large_width-100)+'px';
          document.getElementById("sleep_button").style.left = (large_width-100)+'px';
          document.getElementById("play_button").style.left = (large_width-75)+'px';
          document.getElementById("weath_button").style.left = (large_width-50)+'px';

          map.Resize();

          if (!System.Gadget.docked){
            var oBody = document.body.style;
            oBody.width = large_width;
            if(sleep == 1){
              oBody.height = large_height_blank;
            }else{
              oBody.height = large_height;
            }
          }
        }



        if( (do_init_radar == 1) || (do_set_small_location == 1) ){
          get_gfw_file();
        }

      }









var radar_imgs = new Array();
var warn_imgs = new Array();
var radar_times = new Array();





if (window.XMLHttpRequest){
  xmlhttp=new XMLHttpRequest();
}else{ // Internet Explorer 5/6
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}

function get_radar_img_names() {

  var radar_path = "http://radar.weather.gov/ridge/RadarImg/N0R/"+radar_site+"/";

//  feedback_disp.innerHTML = "<br>" + radar_path + "<br>";


//  xmlhttp.open("GET", radar_path+rand_suff, true);   
  xmlhttp.open("GET", radar_path, true);   
  //really don't want to cache this
  xmlhttp.setRequestHeader("Cache-Control", "no-cache");
  xmlhttp.setRequestHeader("Pragma", "no-cache");
  xmlhttp.setRequestHeader("Cache-Control", "must-revalidate");
  xmlhttp.setRequestHeader("Cache-Control", "no-store");
  xmlhttp.setRequestHeader("Expires", "Sat, 1 Jan 2000 00:00:00 GMT");
  xmlhttp.setRequestHeader( "If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT" );
  xmlhttp.onreadystatechange = process_radar_img_names;
  xmlhttp.send(null); 

}

function process_radar_img_names() {   
  if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {   

    var radar_path = "http://radar.weather.gov/ridge/RadarImg/N0R/"+radar_site+"/";
    var warn_path = "http://radar.weather.gov/ridge/Warnings/Short/"+radar_site+"/";

    radar_imgs = new Array();
    warn_imgs = new Array();
    radar_times = new Array();

    var responsehtml = xmlhttp.responseText;
    var lines = responsehtml.split("\n") 

    //a line with a link to a file looks like
    //..  <a href="TLX_20090517_1559_N0R.gif">TLX_20090517_1559_N0R.gif</a>  ..

//    feedback_disp.innerHTML += lines.length + "<br>";   

    for(i=0; i<lines.length; i++){
      line_search = lines[i].search("<a href=\""+radar_site+"_");
      if(line_search != -1){

        var img_name = lines[i].substring((line_search+9), (line_search+9+25));

        radar_imgs.push( radar_path + img_name );

        
        radar_time_string = img_name.substring(4, (4+13) );

        warn_imgs.push( warn_path + radar_site + "_" + radar_time_string + "_Warnings.gif" );




        //convert time from filename into displayable local time
        var img_year = radar_time_string.substring(0, 4);
        var img_month = radar_time_string.substring(4, 6);
        var img_day = radar_time_string.substring(6, 8);
        var img_hour = radar_time_string.substring(9, 11);
        var img_minute = radar_time_string.substring(11, 13);

        var img_GMT_Date = new Date(img_year, img_month, img_day, img_hour, img_minute);

        var hour_offset = Math.floor(img_GMT_Date.getTimezoneOffset() / 60);
        var minutes_offset = img_GMT_Date.getTimezoneOffset();

        var img_Date = new Date();
        img_Date.setHours(img_GMT_Date.getHours() - hour_offset);
        //img_Date.setMinutes(img_GMT_Date.getMinutes() - minutes_offset);
        img_Date.setMinutes(img_GMT_Date.getMinutes());

        var img_time_hour = img_Date.getHours();
        var suffix = "am";
        if (img_time_hour >= 12) {
          suffix = "pm";
          img_time_hour = img_time_hour - 12;
        }
        if (img_time_hour == 0) {
          img_time_hour = 12;
        }
        if (img_time_hour < 10){
          img_time_hour = "0" + img_time_hour;
        }

        var img_time_minutes = img_Date.getMinutes();
        if (img_time_minutes < 10){
          img_time_minutes = "0" + img_time_minutes;
        }        

        var img_time = img_time_hour + ":" + img_time_minutes + " " + suffix;
        
        radar_times.push( img_time );

      }
    }

//      feedback_disp.innerHTML += radar_times[radar_times.length-1] + "<br>";   

    xmlhttp.close;


    stop_radar_loop();

    preload_radar_i = 0;

    if (!System.Gadget.docked){
      document.getElementById("preload_div").style.background = "black";
      document.getElementById("preload_div").style.border = "1px solid #6F56D1";
    }

    //preload images before starting radar loop
    preload_radar_images();

  }   
}



var preload_radar_i;
function preload_radar_images() {

  if(preload_radar_i < radar_times.length){

    preload_label.innerHTML = "Loading Images: <br>";   
    preload_label.innerHTML += preload_radar_i + " of " + (radar_times.length-1);   

    preload_radar_i++;

    var preload_radar_img = new Image();
    preload_radar_img.src = radar_imgs[preload_radar_i];

    preload_radar_img.onLoad = preload_radar_images();

  }else{

    preload_label.innerHTML = "";   

    if (!System.Gadget.docked){
      document.getElementById("preload_div").style.background = "transparent";
      document.getElementById("preload_div").style.border = "none";
    }

    if(weath_play == 1){
      start_radar_loop();
    }else{
      current_radar_time_i = (radar_times.length-1);
    }


  }

}














//radar loop functions
var radar_loop_ID = 0;
var loop_step_time = 400;
var current_radar_time_i = 0;

function start_radar_loop() {
    radar_loop_ID = setTimeout("step_radar_loop()", loop_step_time);
}

function stop_radar_loop() {
    if(radar_loop_ID > 0){
      clearTimeout(radar_loop_ID);
      radar_loop_ID  = 0;
    }
}

function step_radar_loop() {
    if(radar_loop_ID > 0){
      clearTimeout(radar_loop_ID);
      radar_loop_ID  = 0;
    }

    if(map_panning == 0){
      if(current_radar_time_i >= (radar_times.length-1) ){
        current_radar_time_i = 0;
      }else{
        current_radar_time_i++;
      }

      if (System.Gadget.docked){
        document.getElementById("small_weath_img").src = radar_imgs[current_radar_time_i];
        document.getElementById("small_warn_img").src = warn_imgs[current_radar_time_i];
      }else{
        document.getElementById("weath_img").src = radar_imgs[current_radar_time_i];
        document.getElementById("warn_img").src = warn_imgs[current_radar_time_i];
        document.getElementById("radar_time_display").innerHTML = radar_times[current_radar_time_i];
      }
    }


    if(current_radar_time_i == (radar_times.length-1) ){
      radar_loop_ID = setTimeout("step_radar_loop()", (2*loop_step_time) );
    }else{
      radar_loop_ID = setTimeout("step_radar_loop()", loop_step_time);
    }
}









function do_sleep_button(){

  if(sleep == 0){
    sleep = 1;
    MapSleep();
    sleep_button_txt.innerHTML = "-";
  }else{
    sleep = 0;
    MapWake();
    sleep_button_txt.innerHTML = "o";
  }

}



function do_play_button(){

  if(weath_play == 0){
    if(weath_show == 0){
      weath_show = 1;
      document.getElementById("weath_button_img").style.display = "block";
      weath_layer.Show();
    }
    weath_play = 1;
    start_radar_loop();
    document.getElementById("play_button_img").src = "images/weath_pause.gif";
  }else{
    weath_play = 0;
    stop_radar_loop();
    document.getElementById("play_button_img").src = "images/weath_play.gif";

    document.getElementById("small_weath_img").src = radar_imgs[current_radar_time_i];
    document.getElementById("small_warn_img").src = warn_imgs[current_radar_time_i];
  }

}



function do_weath_button(){

  if(weath_show == 0){
    start_radar_loop();
    weath_play = 1;
    document.getElementById("play_button_img").src = "images/weath_pause.gif";

    weath_show = 1;
    document.getElementById("weath_button_img").style.display = "block";
    weath_layer.Show();
  }else{
    stop_radar_loop();
    weath_play = 0;
    document.getElementById("play_button_img").src = "images/weath_play.gif";

    weath_show = 0;
    document.getElementById("weath_button_img").style.display = "none";
    weath_layer.Hide();
    document.getElementById("radar_time_display").innerHTML = "";
  }



//    var feedback_disp = document.getElementById('spFeedback');
//    feedback_disp.innerHTML = '<p><em>Loading1 ...</em></p>';   

    get_radar_img_names();

}

function onRequestCompleted(executor, args) {
  spFeedback.innerHTML = "Hi.<br/>";
  spFeedback.innerHTML += executor.get_responseData();
}









